function item_to_wishlist(el,itemId = 0){
    let itemRelUnit = -1;let itemAttrId= "0";
    let isProductPage = 0;
    if(!itemId){
        itemId = $(el).parents('.prod-wrapper').attr('id');
        //console.log($("[d-id="+itemId+"]").length);
        if($("[d-id="+itemId+"]").parents(".c-pack").length>0){
            itemRelUnit = $("[d-id="+itemId+"]").parents(".c-pack").find(".transition .item.active.selected").attr("data-value");
            itemAttrId = "0-"+itemRelUnit;
        }
    }else{
        isProductPage = 1;
        if($('#rel-unit').length>0){
            itemRelUnit = $('#rel-unit .item.active.selected').attr('data-value');
            itemAttrId = "0-"+itemRelUnit;
        }
    }
   
    var key = "ec_wishlist" ;
    //console.log('itemId::'+itemId+',itemAttrId::'+itemAttrId);
	var localData = {};
    if(localStorage.getItem(key) !== null){
        localData = localStorage.getItem(key);
    }
    if(!$(el).hasClass('add')){
        $(el).addClass('add');
        $(el).find('.fa-fw').removeClass('fa-thin').addClass('fa-sharp').addClass('fa-solid');
        if(isProductPage){
            $(el).find('.w-100 span').html('');
            $(el).find('.w-100 span').attr('data-tooltip','Remove from Wishlist');
        }else{
            $(el).attr('data-tooltip','Remove from Wishlist');
        }
        
        if(!$.isEmptyObject(localData)){
            localData = JSON.parse(localData);
            if(localData.hasOwnProperty(itemId)){
                localData[itemId][itemAttrId] = {'quantity':1};
            }else{
                localData[itemId] = {};
                localData[itemId][itemAttrId] = {'quantity':1};
            }
        }else{
            localData = {};
            localData[itemId] = {};
            localData[itemId][itemAttrId] = {'quantity':1};
        }
    }else{
        $(el).removeClass('add');
        $(el).find('.fa-fw').addClass('fa-thin').removeClass('fa-sharp').removeClass('fa-solid');
        if(isProductPage){
            $(el).find('.w-100 span').html('Add to Wishlist');
            $(el).find('.w-100 span').attr('data-tooltip','Add to Wishlist');
        }else{
            $(el).attr('data-tooltip','Add to Wishlist');
        }
        if(!$.isEmptyObject(localData)){
            localData = JSON.parse(localData);
            //console.log(localData);
            if(localData.hasOwnProperty(itemId)){
                if(localData[itemId].hasOwnProperty(itemAttrId)){
                    delete localData[itemId][itemAttrId];
                }
                delete localData[itemId];
            }
        }
    }
    updateWishlistCount(localData);
    localStorage.setItem(key,JSON.stringify(localData));
}
$(document).ready(function(){	
	enable_wishlist_items();
    $('.wishlist')
	  .popup({
		popup : $('.dvWishlistPopup'),
		on    : 'click',
        position   : 'bottom right',
		lastResort:false,
	  })
	;
});
function updateWishlistCount(localData){
    wlCount = 0;
    for(itemKey in localData){
		for(attrKey in localData[itemKey]){
			wlCount +=1;
		}
	}
   
    $(".wlcount").html(wlCount);
	$(".wlCount").addClass("cart-add");
	setTimeout(() => {
		$(".wlCount").removeClass("cart-add");
	}, 6000);
}
function enable_wishlist_items(){
    var wishlistData = getLocalData('wishlist');
    updateWishlistCount(wishlistData);
    //console.log(wishlistData);
    for(itemKey in wishlistData){
        if($('#dvProduct').length>0){
            let _itemId = $('#dvProduct').find('.wl').attr('d-id');
            if(itemKey == _itemId){
                $('#dvProduct').find('.wl').addClass('add');
                $('#dvProduct').find('.wl span').attr('data-tooltip','Remove from Wishlist').html('');
                $('#dvProduct').find('.wl .fa-fw').removeClass('fa-thin').addClass('fa-sharp').addClass('fa-solid');
            }
        }else{
            //console.log('itemKey:'+itemKey);
		    $('.prod-wrapper#'+itemKey).find('.itemIcons a.cWl').addClass('add').attr('data-tooltip','Remove from Wishlist');
            $('.prod-wrapper#'+itemKey).find('.itemIcons a.cWl.add .fa-fw').removeClass('fa-thin').addClass('fa-sharp').addClass('fa-solid');
        }
	}   
}
function get_wishlist_data(isMobileView=0){
    if(isMobileView){
        var prevUrl = window.location.href;
        modifyurl(prevUrl);
        _url = OBEC_URL+"/wishlist/page";
        window.location.href = _url;
    }
	var wishlistData = getLocalData('wishlist');
	var _url = OBEC_URL+"/wishlist/getWishlistData";
	$('.dvWishlistPopup').html(' <div class="ui active inverted dimmer"> <div class="ui text loader">Loading</div> </div>');
	$.ajax({
	   type: "POST",
	   data: {'wishlistData':wishlistData},
	   url:_url,
	   success: function(data){
       // console.log(data);
			$(".dvWishlistPopup").html(data);
	   }
	});
}
function removeWishlist(itemid,itemAttrId,isWLPage=0){

    var wishList = getLocalData('wishlist');
    if(wishList.hasOwnProperty(itemid)){
        if(wishList[itemid].hasOwnProperty(itemAttrId)){
            delete wishList[itemid][itemAttrId];
            $("#wlItem_" + itemid + "_" + itemAttrId).remove();
            $("#wlItem_" + itemid + "_" + itemAttrId).remove();
          
            if($('#dvProduct').length>0){
                let _itemId = $('#dvProduct').find('.wl').attr('d-id');
                if(itemKey == _itemId){
                    $('#dvProduct').find('.wl').addClass('add');
                    $('#dvProduct').find('.wl span').attr('data-tooltip','Remove from Wishlist').html('');
                    $('#dvProduct').find('.wl .fa-fw').addClass('fa-thin').removeClass('fa-sharp').removeClass('fa-solid');
                }
            }else if($('.prod-wrapper[id='+itemid+']').length>0){
                $('.prod-wrapper[id='+itemid+'] .itemIcons .cWl').removeClass('add').attr('data-tooltip','Add to Wishlist');
                $('.prod-wrapper[id='+itemid+'] .itemIcons .cWl .fa-fw').addClass('fa-thin').removeClass('fa-sharp').removeClass('fa-solid')
            }
            if($.isEmptyObject(wishList[itemid])){
                delete wishList[itemid];
            }
        }
    }
    localStorage.setItem("ec_wishlist", JSON.stringify(wishList));
    if(isWLPage){
        $('#wlitem_'+itemid+'_'+itemAttrId).remove();
    }
	updateWishlistCount(wishList);
}
