function item_to_compare(el,itemId = 0){
    let itemRelUnit =-1;
    var itemAttrId= "0";
    let isProductPage = 0;
    let relUnitName = '';
    if(!itemId){
        itemId = $(el).parents('.prod-wrapper').attr('id');
        // console.log($("[d-id="+itemId+"]").length);
        if($("[d-id="+itemId+"]").parents(".c-pack").length>0){
            itemRelUnit = $("[d-id="+itemId+"]").parents(".c-pack").find(".transition .item.active.selected").attr("data-value");
            itemAttrId="0-"+itemRelUnit;
            if(itemId in a_packdetail){
                relUnitName = a_packdetail[itemId];
            }
        }
    }else{
        isProductPage = 1;
        if($('#rel-unit').length>0){
            itemRelUnit = $('#rel-unit .item.active.selected').attr('data-value');
            itemAttrId = "0-"+itemRelUnit;
            relUnitName = relUnits[itemRelUnit].relUnitName;
        }
    }
    var key = "ec_compare" ;
    var localData = {};
    if(localStorage.getItem(key) !== null){
        localData = localStorage.getItem(key);
    }
    //console.log('itemId::'+itemId);
    if(!$(el).hasClass('add')){
        //$(el).attr('data-tooltip','Remove from compare');
        if(isProductPage){
            $(el).find('.w-100 span').html('Added');
        }
        let citemslength ;
        if(!$.isEmptyObject(localData)){
            localData = JSON.parse(localData);
            //console.log('localData::',localData);
            let ObjKeys = Object.keys(localData);
            citemslength = Object.keys(localData).length -0 ;
            if(citemslength>=4){
                $('.prod-wrapper[id='+localData[ObjKeys[0]].itemId+']').find('.compicon').removeClass('add');
                delete localData[ObjKeys[0]];
                citemslength = ObjKeys[ObjKeys.length - 1];
            }else{
                citemslength =  ObjKeys[ObjKeys.length - 1];
            }
            citemslength += 1;
         //   console.log('#citemslength:'+citemslength);
           // console.log('localData');console.log(localData);
            localData[citemslength] = {'itemId':itemId,'attrId':itemAttrId,'relUnitName':relUnitName};
           // console.log('##localData');console.log(localData);
        }else{
            localData = {};
            localData[0] = {'itemId':itemId,'attrId':itemAttrId,'relUnitName':relUnitName};
        }
        $(el).addClass('add');
    }else{
        $(el).removeClass('add');
        if(isProductPage){
            $(el).find('.w-100 span').html('Add to Compare');
        }
        //$(el).attr('data-tooltip','Add to compare');
        if(!$.isEmptyObject(localData)){
            localData = JSON.parse(localData);
           // console.log(localData);
            for(itemKey in localData){
                if(localData[itemKey]['itemId']==itemId){
                    delete localData[itemKey];
                }
            }
        }
    }
    updatecompareCount(localData);
    localStorage.setItem(key,JSON.stringify(localData));
}
$(document).ready(function(){	
	enable_compare_items();
    $('.compare')
	  .popup({
		popup : $('.dvComparePopup'),
		on    : 'click',
        position   : 'bottom right',
		lastResort:false,
	  })
	;
});
function updatecompareCount(localData){
    compareCount =  Object.keys(localData).length-0;
  //  console.log('compareCount:'+compareCount);
    $(".comparecount").html(compareCount);
	$(".compareCount").addClass("cart-add");
	setTimeout(() => {
		$(".compareCount").removeClass("cart-add");
	}, 6000);
}
function enable_compare_items(){
    var compareData = getLocalData('compare');
    updatecompareCount(compareData);
    for(itemKey in compareData){
        if($('#dvProduct').length>0){
            let _itemId = $('#dvProduct').find('.itmCmp').attr('d-id');
            //console.log('itemKey:'+compareData[itemKey]['itemId']+',_itemId:'+_itemId);
            if(compareData[itemKey]['itemId'] == _itemId){
                $('#dvProduct').find('.itmCmp').addClass('add');
                $('#dvProduct').find('.itmCmp span').html('Added').attr('data-tooltip','Remove from Compare');
            }
        }else{
		    $('.prod-wrapper#'+compareData[itemKey]['itemId']).find('.itemIcons a.compicon').addClass('add').attr('data-tooltip','Remove from compare');
        }
	}   
}
function get_compare_items(isMobileView=0){
    if(isMobileView){
        var prevUrl = window.location.href;
        modifyurl(prevUrl);
        _url = OBEC_URL+"/compare/page";
        window.location.href = _url;
    }
	var compareData = getLocalData('compare');
	var _url = OBEC_URL+"/compare/getCompareItemData";
	$('.dvComparePopup').html(' <div class="ui active inverted dimmer"> <div class="ui text loader">Loading</div> </div>');
	$.ajax({
	   type: "POST",
	   data: {'compareData':compareData},
	   url:_url,
	   success: function(data){
       // console.log(data);
			$(".dvComparePopup").html(data);
	   }
	});
}
function removeCompareItems() {
    $('#tblComparePopup').html('<tr><td><div> No product is added to the comparison table! </div></td></tr>');
    var compareData = getLocalData('compare');
    for(itemKey in compareData){
        let cmpitemId = compareData[itemKey]['itemId'];
        if($('#dvProduct').length>0){
            let _itemId = $('#dvProduct').find('.itmCmp').attr('d-id');
            if(cmpitemId == _itemId){
                $('#dvProduct').find('.itmCmp').addClass('add');
                $('#dvProduct').find('.itmCmp span').attr('data-tooltip','Remove from Compare').html('Added');
            }
        }else if($('.prod-wrapper[id='+cmpitemId+']').length>0){
            $('.prod-wrapper[id='+cmpitemId+'] .itemIcons .compicon').removeClass('add').attr('data-tooltip','Add to Wishlist');
        }
    }
    localStorage.removeItem("ec_compare");
    updatecompareCount({});
}
function removeCompare(itemid,itemAttrId,iscomparePage=0){

    var compareData = getLocalData('compare');
    for(itemKey in compareData){
        if(compareData[itemKey]['itemId']==itemid){
            delete compareData[itemKey];
            $("#CompareItem_" + itemid + "_0" ).remove();
            $("#CompareItem_" + itemid + "_0").remove();
            //console.log('######itemid::'+itemid);
            if($('#dvProduct').length>0){
                let _itemId = $('#dvProduct').find('.itmCmp').attr('d-id');
                if(itemKey == _itemId){
                    $('#dvProduct').find('.itmCmp').addClass('add');
                    $('#dvProduct').find('.itmCmp span').attr('data-tooltip','Remove from Compare').html('Added');
                }
            }else if($('.prod-wrapper[id='+itemid+']').length>0){
                $('.prod-wrapper[id='+itemid+'] .itemIcons .compicon').removeClass('add').attr('data-tooltip','Add to Wishlist');
            }
        }
    }
    localStorage.setItem("ec_compare", JSON.stringify(compareData));
    let url = window.location.href;
    if(iscomparePage||url.indexOf("compare/page") > -1){
        location.reload();
    }
	updatecompareCount(compareData);
}
